/*
 *    Code to control the Rotary Encoder
*/


// Setup a RoraryEncoder object
RotaryEncoder encoder(ROTEN_A, ROTEN_B);  // Reverse ROTA & ROTB to change CW & CCW definition

int encMin = 0;
int encMax = 0;

/****************************************************
 *     Functions for Encoder parameter set and get
 ****************************************************/

// set up the encoder minumum and maximum return values
// and the current selection
void setupEnc(int emax, int ecurr) {
  encMin = 0;  // my code always uses a zero minumim value
  encMax = emax;
  encoder.setPosition(ecurr);
  return;
}

// There is no need to test and restrict the value of the
// raw ecoder if you use this function
// to get the menu selection
int getEncValue() {
  encoder.tick();
  long epos = abs(encoder.getPosition()); // prevent neg values
  return (epos % encMax) + encMin;  // this works try it!
}
